/*
selector {
    property: value;
}

1) TAG-selectoren --> body, header, h1, ...
2) CLASS-selector --> .class-x, .class-y, .class-z, ...

*/


* {
    margin: 0;
}

body {
    font-family: source-sans-pro, Helvetica, Arial;
}


header {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    flex-direction: column;
    justify-content: center;

    
    
    background-color: red;
    padding-top: 1em;
    padding-right: 4%;
    padding-left: 4%;
    padding-bottom: 1em;
    border-bottom: solid 2px white;
    background-color: white;
    min-height: 100vh;
}

h1 {
    font-size: 15vw;
    color: red;
    text-align: center;
    font-family: "carol-gothic";
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: -0.03em;
}

h2 {
    font-weight: 400;
    margin-bottom: 0.5em;
    text-align: center;
    font-size: 3.6em;
    font-family: "carol-gothic", sans-serif;
    color: red;
    font-weight: 400;
    font-style: normal;
    text-transform: uppercase;
}

nav {
    margin-top: 2em;
}

nav a {
    display: inline-block;
    text-decoration: none;
    margin-right: 12px;
    background-color: white;
    padding-top: 0.6em;
    padding-bottom: 0.6em;
    padding-right: 0.8em;
    transition-property: background.5s;
    /*    border: solid 5px black;*/
    font-size: -10%;
    letter-spacing: +0.08em;
    color: black;
    font-family: source-sans-pro, Helvetica, Arial;
    border-right: solid 1px black;
}

nav a:hover {
    color: darkgray;
    transition: 0.5s;
}

nav a:last-child {
    border: none;
}

a {
    color: red;
    font-family: source-sans-pro, Helvetica, Arial;
    font-weight: 400;
}

main {
    padding-bottom: 4em;
    padding-right: 1em;
    padding-left: 1em;
    padding-top: 50px;
    color: white;

}

article {
    background-color: black;
    margin-bottom: 10em;
    padding-top: 3em;

    padding-bottom: 4em;
    max-width: 1080px;
    margin-right: auto;
    margin-left: auto;
}

p {
    margin-bottom: 18px;
    max-width: 70ch;
    margin-left: auto;
    margin-right: auto;
    font-size: 1.2em;
    line-height: 1.5em;
}

strong {
    font-family: source-sans-pro, Helvetica, Arial;
    font-weight: 700;
}

img {
    width: 100%;
    height: auto;
}

h3 {
    margin: 2em 0 1em;
    font-family: "carol-gothic", sans-serif;
    font-size: 2.2em;
    font-weight: 400;
    text-align: center;
}

.image-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin: 0 0 2em;
    padding: 1.5em;
}

.image-container figure {
    flex-basis: 450px;
    flex-grow: 1;
    margin:2px;
    overflow: hidden;
    text-align: center;
    transition: background 0.5s ease-out, color 0.2s;
}

.image-container img {
filter: grayscale(1);
}

.image-container img:hover {
    filter: none;
    transition: 0.2s;
}

figure {
    background-color: hsl(0, 0%, 98%);
    margin-bottom: 2em;
}

figcaption {
    text-align: center;
    font-size: 0.9em;
    padding-left: 1.2em;
    padding-right: 1.2em;
}

ul {
    list-style: none;
    max-width: 70ch;
    margin-left: auto;
    margin-right: auto;
    padding: 0;
    font-size: 1.2em;
    line-height: 1.5em;
}

li {
    border-color: black;
    border-top-style: solid;
    margin-bottom: 2em;
    padding-top: 1em;
    padding-left: 1em;
    padding-right: 1em;


}

.container {
    margin: 2.5em;
    margin-bottom: 2.5em;
    padding: 1em;
    background-color: #ede7df;
}

.item { 
    margin: 0.5em;
    padding: 0.5em;
    background-color: cadetblue;
}

.disinline {
    display: inline;
}

.disinlineblock {
    display: inline-block;
}

/*
.goofy {
    padding: 0.6em;
    border: dotted pink 15px;
    font-size: 2em;
}

.clara {
    padding-left: 2em;
    font-size: 16px;
    background-color: red;
    color: #b9deed;
    opacity: 0.7;
}

.Binder {
    background-color: black;
    color: dodgerblue;
    font-size: 0.4;
    
}

.Binder:hover {
    background-color: greenyellow;
    color: black;
}
*/

.important {
    border: ridge white;
    padding-top: 1.5em;
    padding-bottom: 1.5em;
    font-size: 1.6em;
    text-align: center;
    margin-top: 40px;
    margin-bottom: 40px;
}

.index {
    background-color: black;
}

.htmlcsscolor {
    background-color: black;
}

.responsivecolor {
    background-color: black;
}


.active {
    color: darkgray;
}

footer {
    background-color: black;
    color: white;
    padding-top: 1em;
    padding-bottom: 1.5em;
    padding-left: 4%;
    padding-right: 4%;
}

code {
    font-family: droid-sans-mono;
}